News

Articles | Development

Articles: Core-1.4.2 Released!

Contributed by craigh on Mar 28, 2016 - 02:40 AM

Picture 0 for Core-1.4.2 Released!

The core development team is proud to announce the availabilty of Zikula Core 1.4.2.

Here is a list of the most important changes:

Fixes:

  • Fix module stylesheet not being loaded automatically for Core-2.0 modules.
  • Fix SearchModule not working for older modules required tables.php (#2643)
  • Fix error in BootstrapTheme where `pagetype` variable was required (#2681)
  • Fix legacy modules always using 'home' realm in Theme engine (#2691)
  • Fix Login block not functional (#2729)
  • Fix problems with legacy Themes (#2777)
  • Fix post installation login (#2187)
  • Improved handling of 'utility' themes via GET and add ability to restrict access via permissions on a more granular level.

Features:

  • Add new advanced block filtering based on a combination of any query parameter or request attributes.
  • Add functional login block to Bootstrap theme (#2730)
  • Add collapseable blocks. This feature had disappeared since Core-1.3x (#2678)
  • Add Vagrant support (#2814)
  • Change default theme to Bootstrap theme (new features added, blocks and permissions adjusted specific to theme)

Core-2.0 Features:

  • Add AdminInterfaceController and Twig tags - AdminModule
  • Add ExtensionsInterfaceController and Twig tags - ExtensionsModule
  • Add `currentUser` global variable to twig templates.
  • Add `Zikula\CategoriesModule\Form\Type\CategoriesType` for easier category usage in Symfony Forms.
  • Implement new definition spec for Hook capabilities.
  • Implement new BlockApi and all corresponding methods.
  • BlocksModule updated to Core-2.0 Spec.
  • ThemeModule updated to Core-2.0 Spec.
  • ExtensionsModule updated to Core-2.0 Spec (except Plugin Handling).
  • Add AbstractExtensionInstaller for use by third-party developers.
  • Update `\Zikula\Bundle\HookBundle\Hook\DisplayHookResponse` to allow response from non-Smarty sources. (#2600)

See the changelog for all the changes.

Zikula Core 1.4 is intended as a transition release between the very popular 1.3.x series and Zikula Core 2.0.0. While maintaining nearly 100% backward-compatibility, Core-1.4 lays the foundations of Symfony, Doctrine, Bootstrap, Font-Awesome, jQuery and Twig which will be the basis of future development. A new namespaced module structure is established that will be the new standard for 2.0.0 extensions as well as providing many new tools and features to make your site exceptional.

As always, please report all bugs, concerns and feature requests to our issue tracker on Github. If you don't want to create a GitHub account, don't hesitate to ask in the comments or forums at our website.

 

Comments

  1. Upgrade Question

    Glad to see the new version is here and fixes a number of issues. I was wondering if it was possible to upgrade to 1.4.2 without removing all the files from the root directory? Or is it just easier to follow the directions?

  2. it is ALWAYS easier to follow the directions.

  3. Just checking.

  4. Another step to the future! :) But, how do you think create a huge community about Zikula? Have you a plan with Core 2.0 in order to grow?

  5. Always looking for help! Let us know what you would like to do!

  6. @krator: with core 2.0 migration to Symfony and Twig will be completed. Hence, the system can seriously be presented to the large amount of Symfony developers out there. Zikula 2.0 = Symfony 3 + X.

  7. Thanks guys! I'm wishing to test Zikula 2.0 :)

Only logged in users are allowed to comment. Register or log in.

Recent Forum Posts

Go to forum

Latest Comments